/*
Copyright (C) 2003 Frank Balbach

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package de.uni_luebeck.tcs.demo.crypto;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;


public class DecaesarApplet extends JApplet {
    protected Decaesar bgiThis;
    protected boolean blnFirstTime = true;
    
    public DecaesarApplet() {
	super();
	this.bgiThis = new Decaesar();
	JComponent jpcDecaesar = (JComponent)bgiThis.getComponent();
	JPanel jplContent = new JPanel(new BorderLayout());
	jplContent.add(jpcDecaesar, BorderLayout.CENTER);	
	jplContent.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
	setContentPane(jplContent);
    }

    public void init() {
    }

    public void start() {
	if (blnFirstTime) {
	    bgiThis.start();
	    blnFirstTime = false;
	    //bgiThis.init();
	    //bgiThis.start();
	} else {
	    bgiThis.resume();
	}
    }

    public void stop() {	
	bgiThis.pause();
    }

    public void destroy() {
	bgiThis.pause();
    }
}
